<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2008-2011 Bull S.A.S.
  - Contact: jonas-team@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id$
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

  <parent>
      <groupId>org.ow2</groupId>
      <artifactId>ow2</artifactId>
      <version>1.1</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.ow2.jonas.documentation</groupId>
  <artifactId>jonas-doc-src</artifactId>
  <version>5.3.0-M3</version>
  <description>JOnAS : Java Open Application Server</description>
  <name>JOnAS Documentation Source</name>
  <url>http://jonas.ow2.org</url>

  <licenses>
    <license>
      <name>GNU LESSER GENERAL PUBLIC LICENSE Version 2.1</name>
      <url>http://www.gnu.org/copyleft/lesser.html</url>
    </license>
  </licenses>

  <build>
    <defaultGoal>install</defaultGoal>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
        <configuration>
          <classesDirectory>
            src
          </classesDirectory>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-release-plugin</artifactId>
        <configuration>
          <tagBase>
            svn+ssh://${maven.username}@svn.forge.objectweb.org/svnroot/jonas/jonas/tags
          </tagBase>
          <autoVersionSubmodules>true</autoVersionSubmodules>
          <addSchema>false</addSchema>
        </configuration>
      </plugin>

      <plugin>
        <!-- Version 1.4 [NOT 1.5] required for replaceregexp -->
        <artifactId>maven-antrun-plugin</artifactId>
        <version>1.4</version>
        <executions>
          <execution>
            <phase>process-resources</phase>
            <configuration>
              <tasks>
                <replaceregexp file="build.properties" match="product\.version = .*" replace="product\.version = ${project.version}" />
              </tasks>
            </configuration>
            <goals>
              <goal>run</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>

    <extensions>
      <extension>
        <!-- Required to deploy using Maven 3 -->
        <groupId>org.apache.maven.wagon</groupId>
        <artifactId>wagon-ssh</artifactId>
        <version>1.0-beta-6</version>
      </extension>
    </extensions>

  </build>

  <dependencies>
    <!-- Add here any other documentation source this one needs -->
  </dependencies>

  <scm>
    <connection>scm:svn:svn://svn.forge.objectweb.org/svnroot/jonas/jonas/tags/JONAS_DOC_5_3_0_M3</connection>
    <developerConnection>scm:svn:svn+ssh://benoitf@svn.forge.objectweb.org/svnroot/jonas/jonas/tags/JONAS_DOC_5_3_0_M3</developerConnection>
    <url>http://svn.forge.objectweb.org/cgi-bin/viewcvs.cgi/jonas/tags/JONAS_DOC_5_3_0_M3</url>
  </scm>

</project>
